
D4Science Infrastructure - Task #8042

VRE # 7892 (Released): Creation of new VRE - EcoEvo

EvoEvo VRE: blank page when accessing the catalogue 

Apr 07, 2017 07:30 PM - Leonardo Candela

Status: Closed Start date: Apr 07, 2017

Priority: Urgent Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

When accessing the catalogue I see a page displaying only the menu item rather than the menu and the home page (see

screenshot). Is it not sufficient to deploy the portlet, i.e. there is an extra step needed? Is there any resource missing?  

History

#1 - Apr 07, 2017 07:51 PM - Costantino Perciante

I guess there is a problem with the ckan connector on that context. When contacting it a bad request error arises 

gCubeCkanDataCatalog-0.js:1275 GET https://ckan-ecoevo.d4science.org/ckan-connector/gcube/service/connect?gcub

e-token=...&listOfVres=ecoevo|admin 400 (Bad Request)

 That's way the catalogue frame is empty.

@roberto.cirillo@isti.cnr.it or @lucio.lelii@isti.cnr.it could you check it please?

#2 - Apr 08, 2017 08:35 AM - Leonardo Candela

- Assignee changed from Massimiliano Assante to Lucio Lelii

#3 - Apr 10, 2017 10:17 AM - Francesco Mangiacrapa

Both /home/gcube/SmartGears/ghn.log:

Registration times: 1

20:18:49.628 [localhost-startStop-2] DEBUG PersistenceBackendFactory: Flushing records in context /d4science.r

esearch-infrastructures.eu/D4Research/EcoEvo

20:18:50.831 [pool-6-thread-110] ERROR MethodRetriever: exception invoking method update in service com.sun.pr

oxy.$Proxy41 using proxy 

20:18:50.832 [pool-6-thread-110] WARN  RegistryPublisher: Failed update resource on http://registry-d4research

.d4science.org:8080/wsrf/services/gcube/informationsystem/registry/ResourceRegistration times: 5

20:18:56.820 [localhost-startStop-1] ERROR ContainerManager: token 2439ee2b-483c-41a8-82b7-9ed40076c887-843339

462 not valid

20:18:56.823 [localhost-startStop-1] ERROR ContainerManager: no valid starting token are specified, moving the

 container to failed

20:18:56.828 [localhost-startStop-1] ERROR ContainerManager: cannot manage container (see cause)

java.lang.RuntimeException: no valid starting token are specified

    at org.gcube.smartgears.managers.ContainerManager.validateContainer(ContainerManager.java:129) ~[common-sm

artgears-2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.managers.ContainerManager.start(ContainerManager.java:71) ~[common-smartgears-2.1.

2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.Bootstrap.startContainerIfItHasntAlreadyFailed(Bootstrap.java:124) [common-smartge

ars-2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.Bootstrap.<init>(Bootstrap.java:45) [common-smartgears-2.1.2-4.4.0-146443.jar:na]

    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) [na:1.7.0_80]

    at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57) [na:1.7.0_

80]

    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45) [n

a:1.7.0_80]

    at java.lang.reflect.Constructor.newInstance(Constructor.java:526) [na:1.7.0_80]

    at java.lang.Class.newInstance(Class.java:383) [na:1.7.0_80]

    at org.apache.catalina.startup.WebappServiceLoader.loadServices(WebappServiceLoader.java:188) [tomcat-cata

lina-7.0.52.jar:7.0.52]

    at org.apache.catalina.startup.WebappServiceLoader.load(WebappServiceLoader.java:152) [tomcat-catalina-7.0

.52.jar:7.0.52]
    at org.apache.catalina.startup.ContextConfig.processServletContainerInitializers(ContextConfig.java:1543) 

[tomcat-catalina-7.0.52.jar:7.0.52]

    at org.apache.catalina.startup.ContextConfig.webConfig(ContextConfig.java:1265) [tomcat-catalina-7.0.52.ja

r:7.0.52]

    at org.apache.catalina.startup.ContextConfig.configureStart(ContextConfig.java:873) [tomcat-catalina-7.0.5

2.jar:7.0.52]

    at org.apache.catalina.startup.ContextConfig.lifecycleEvent(ContextConfig.java:371) [tomcat-catalina-7.0.5

2.jar:7.0.52]

    at org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:117) [tomcat-catalin

a-7.0.52.jar:7.0.52]

    at org.apache.catalina.util.LifecycleBase.fireLifecycleEvent(LifecycleBase.java:90) [tomcat-catalina-7.0.5

2.jar:7.0.52]

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5392) [tomcat-catalina-7.0.

52.jar:7.0.52]

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150) [tomcat-catalina-7.0.52.jar:7.0.52

]

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901) [tomcat-catalina-7.0.52

.jar:7.0.52]

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877) [tomcat-catalina-7.0.52.jar:7.0

.52]

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632) [tomcat-catalina-7.0.52.jar:7.0.5

2]

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073) [tomcat-catalina-7.0.52.jar:7.0.

52]

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857) [tomcat-catalina-7.0.52.jar:

7.0.52]

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [na:1.7.0_80]

    at java.util.concurrent.FutureTask.run(FutureTask.java:262) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [na:1.7.0_80]

    at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]

20:19:00.352 [localhost-startStop-1] ERROR ApplicationManager: error starting application data-transfer-servic

e 

java.lang.RuntimeException: error contacting authorization service

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:152) 

~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.generateTokensForApplication(ApplicationManager.java:1

42) ~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:82) ~[common-smartgears-

2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:61) [common-smartgears-2.1.2-4.4.0-146443.jar:n

a]

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5493) [tomcat-catalina-7.0.

52.jar:7.0.52]

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150) [tomcat-catalina-7.0.52.jar:7.0.52

]

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901) [tomcat-catalina-7.0.52

.jar:7.0.52]

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877) [tomcat-catalina-7.0.52.jar:7.0

.52]

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632) [tomcat-catalina-7.0.52.jar:7.0.5

2]

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073) [tomcat-catalina-7.0.52.jar:7.0.

52]

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857) [tomcat-catalina-7.0.52.jar:

7.0.52]

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [na:1.7.0_80]

    at java.util.concurrent.FutureTask.run(FutureTask.java:262) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [na:1.7.0_80]

    at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]

Caused by: java.lang.Exception: error contacting authorization service

    at org.gcube.common.authorization.client.proxy.DefaultAuthorizationProxy.generateServiceToken(DefaultAutho

rizationProxy.java:82) ~[authorization-client-2.0.1-4.4.0-134803.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:150) 

~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    ... 15 common frames omitted

20:19:02.215 [localhost-startStop-1] ERROR ApplicationManager: error starting application WhnManager 

java.lang.RuntimeException: error contacting authorization service

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:152) 

~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.generateTokensForApplication(ApplicationManager.java:1

42) ~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:82) ~[common-smartgears-

2.1.2-4.4.0-146443.jar:na]
    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:61) [common-smartgears-2.1.2-4.4.0-146443.jar:n

a]

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5493) [tomcat-catalina-7.0.

52.jar:7.0.52]

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150) [tomcat-catalina-7.0.52.jar:7.0.52

]

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901) [tomcat-catalina-7.0.52

.jar:7.0.52]

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877) [tomcat-catalina-7.0.52.jar:7.0

.52]

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632) [tomcat-catalina-7.0.52.jar:7.0.5

2]

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073) [tomcat-catalina-7.0.52.jar:7.0.

52]

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857) [tomcat-catalina-7.0.52.jar:

7.0.52]

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [na:1.7.0_80]

    at java.util.concurrent.FutureTask.run(FutureTask.java:262) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [na:1.7.0_80]

    at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]

Caused by: java.lang.Exception: error contacting authorization service

    at org.gcube.common.authorization.client.proxy.DefaultAuthorizationProxy.generateServiceToken(DefaultAutho

rizationProxy.java:82) ~[authorization-client-2.0.1-4.4.0-134803.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:150) 

~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    ... 15 common frames omitted

20:19:05.821 [localhost-startStop-1] ERROR ApplicationManager: error starting application CkanConnector 

java.lang.RuntimeException: error contacting authorization service

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:152) 

~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.generateTokensForApplication(ApplicationManager.java:1

42) ~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:82) ~[common-smartgears-

2.1.2-4.4.0-146443.jar:na]

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:61) [common-smartgears-2.1.2-4.4.0-146443.jar:n

a]

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5493) [tomcat-catalina-7.0.

52.jar:7.0.52]

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150) [tomcat-catalina-7.0.52.jar:7.0.52

]

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901) [tomcat-catalina-7.0.52

.jar:7.0.52]

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877) [tomcat-catalina-7.0.52.jar:7.0

.52]

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632) [tomcat-catalina-7.0.52.jar:7.0.5

2]

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073) [tomcat-catalina-7.0.52.jar:7.0.

52]

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857) [tomcat-catalina-7.0.52.jar:

7.0.52]

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [na:1.7.0_80]

    at java.util.concurrent.FutureTask.run(FutureTask.java:262) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [na:1.7.0_80]

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [na:1.7.0_80]

    at java.lang.Thread.run(Thread.java:745) [na:1.7.0_80]

Caused by: java.lang.Exception: error contacting authorization service

    at org.gcube.common.authorization.client.proxy.DefaultAuthorizationProxy.generateServiceToken(DefaultAutho

rizationProxy.java:82) ~[authorization-client-2.0.1-4.4.0-134803.jar:na]

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:150) 

~[common-smartgears-2.1.2-4.4.0-146443.jar:na]

    ... 15 common frames omitted

 and /var/log/tomcat_smartgears/9000/catalina.log:

java.lang.IllegalStateException: ContainerBase.addChild: start: org.apache.catalina.LifecycleException: Failed

 to start component [StandardEngine[Catalina].StandardHost[localhost].StandardContext[/common-smartgears-probe

]]

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:904)

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)

    at java.util.concurrent.FutureTask.run(FutureTask.java:262)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at java.lang.Thread.run(Thread.java:745)

2017-04-07 20:18:56,839 [localhost-startStop-1] INFO  org.apache.catalina.startup.HostConfig- Deploying web ap

plication archive /home/gcube/tomcat/webapps/data-transfer-service.war

2017-04-07 20:18:56,863 [localhost-startStop-1] INFO  org.apache.catalina.loader.WebappClassLoader- validateJa

rFile(/home/gcube/tomcat/webapps/data-transfer-service/WEB-INF/lib/el-api-2.2.jar) - jar not loaded. See Servl

et Spec 3.0, section 10.7.2. Offending class: javax/el/Expression.class

2017-04-07 20:19:00,553 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Error during S

ervletContainerInitializer processing

javax.servlet.ServletException: cannot manage application @ /data-transfer-service (see cause)

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:71)

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5493)

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)

    at java.util.concurrent.FutureTask.run(FutureTask.java:262)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.lang.RuntimeException: error contacting authorization service

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:152)

    at org.gcube.smartgears.managers.ApplicationManager.generateTokensForApplication(ApplicationManager.java:1

42)

    at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:82)

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:61)

    ... 12 more

Caused by: java.lang.Exception: error contacting authorization service

    at org.gcube.common.authorization.client.proxy.DefaultAuthorizationProxy.generateServiceToken(DefaultAutho

rizationProxy.java:82)

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:150)

    ... 15 more

2017-04-07 20:19:00,558 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Context [/data

-transfer-service] startup failed due to previous errors

2017-04-07 20:19:00,568 [localhost-startStop-1] INFO  org.apache.catalina.startup.HostConfig- Deploying web ap

plication archive /home/gcube/tomcat/webapps/whn-manager.war

2017-04-07 20:19:02,415 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Error during S

ervletContainerInitializer processing

javax.servlet.ServletException: cannot manage application @ /whn-manager (see cause)

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:71)

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5493)

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)

    at java.util.concurrent.FutureTask.run(FutureTask.java:262)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.lang.RuntimeException: error contacting authorization service

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:152)

    at org.gcube.smartgears.managers.ApplicationManager.generateTokensForApplication(ApplicationManager.java:1

42)

    at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:82)

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:61)

    ... 12 more

Caused by: java.lang.Exception: error contacting authorization service

    at org.gcube.common.authorization.client.proxy.DefaultAuthorizationProxy.generateServiceToken(DefaultAutho

rizationProxy.java:82)

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:150)

    ... 15 more

2017-04-07 20:19:02,417 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Context [/whn-

manager] startup failed due to previous errors

2017-04-07 20:19:02,425 [localhost-startStop-1] ERROR org.apache.catalina.loader.WebappClassLoader- The web ap

plication [/whn-manager] created a ThreadLocal with key of type [com.sun.xml.bind.v2.ClassFactory$1] (value [c

om.sun.xml.bind.v2.ClassFactory$1@69a75942]) and a value of type [java.util.WeakHashMap] (value [{class org.gc

ube.smartgears.configuration.application.DefaultApplicationConfiguration=java.lang.ref.WeakReference@1f15f1a}]

) but failed to remove it when the web application was stopped. Threads are going to be renewed over time to t
ry and avoid a probable memory leak.

2017-04-07 20:19:02,425 [localhost-startStop-1] ERROR org.apache.catalina.loader.WebappClassLoader- The web ap

plication [/whn-manager] created a ThreadLocal with key of type [com.sun.xml.bind.v2.runtime.Coordinator$1] (v

alue [com.sun.xml.bind.v2.runtime.Coordinator$1@d9aa4f5]) and a value of type [java.lang.Object[]] (value [[Lj

ava.lang.Object;@23c3d7cd]) but failed to remove it when the web application was stopped. Threads are going to

 be renewed over time to try and avoid a probable memory leak.

2017-04-07 20:19:02,426 [localhost-startStop-1] INFO  org.apache.catalina.startup.HostConfig- Deploying web ap

plication archive /home/gcube/tomcat/webapps/ckan-connector.war

2017-04-07 20:19:02,458 [localhost-startStop-1] INFO  org.apache.catalina.loader.WebappClassLoader- validateJa

rFile(/home/gcube/tomcat/webapps/ckan-connector/WEB-INF/lib/javax.servlet-api-3.0.1.jar) - jar not loaded. See

 Servlet Spec 3.0, section 10.7.2. Offending class: javax/servlet/Servlet.class

2017-04-07 20:19:06,021 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Error during S

ervletContainerInitializer processing

javax.servlet.ServletException: cannot manage application @ /ckan-connector (see cause)

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:71)

    at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5493)

    at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

    at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

    at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

    at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

    at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

    at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)

    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471)

    at java.util.concurrent.FutureTask.run(FutureTask.java:262)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at java.lang.Thread.run(Thread.java:745)

Caused by: java.lang.RuntimeException: error contacting authorization service

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:152)

    at org.gcube.smartgears.managers.ApplicationManager.generateTokensForApplication(ApplicationManager.java:1

42)

    at org.gcube.smartgears.managers.ApplicationManager.start(ApplicationManager.java:82)

    at org.gcube.smartgears.Bootstrap.onStartup(Bootstrap.java:61)

    ... 12 more

Caused by: java.lang.Exception: error contacting authorization service

    at org.gcube.common.authorization.client.proxy.DefaultAuthorizationProxy.generateServiceToken(DefaultAutho

rizationProxy.java:82)

    at org.gcube.smartgears.managers.ApplicationManager.generateApplicationToken(ApplicationManager.java:150)

    ... 15 more

2017-04-07 20:19:06,022 [localhost-startStop-1] ERROR org.apache.catalina.core.StandardContext- Context [/ckan

-connector] startup failed due to previous errors

2017-04-07 20:19:06,035 [main] INFO  org.apache.coyote.http11.Http11Protocol- Starting ProtocolHandler ["http-

bio-0.0.0.0-9000"]

 containing errors.. Could you check them @roberto.cirillo@isti.cnr.it and @lucio.lelii@isti.cnr.it? 

#4 - Apr 10, 2017 10:29 AM - Roberto Cirillo

- Status changed from New to In Progress

- Assignee changed from Lucio Lelii to Roberto Cirillo

#5 - Apr 10, 2017 10:33 AM - Roberto Cirillo

- % Done changed from 0 to 100

There was a wrong token on that container: 2439ee2b-483c-41a8-82b7-9ed40076c887-843339462

I've regenerated the token and the container seems to work now. This is the right one: 52375380-a7af-41b0-aa60-ce31c6864930-843339462

How have this container been installed? 

#6 - Apr 10, 2017 10:34 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Costantino Perciante

#7 - Apr 10, 2017 10:37 AM - Andrea Dell'Amico

Roberto Cirillo wrote:

How have this container been installed?

 Using the same playbook we always use.
#9 - Apr 10, 2017 11:26 AM - Costantino Perciante

- Status changed from Feedback to In Progress

- Assignee changed from Costantino Perciante to Roberto Cirillo

We have investigated a little bit more the problem with @roberto.cirillo@isti.cnr.it :

The connector is correctly deployed and published but the problem reported in https://support.d4science.org/issues/8042#note-1 still remains. When

the method https://ckan-ecoevo.d4science.org/ckan-connector/gcube/service/connect?gcube-token... is called, nothing appears in the access.log nor

in ghn.log

The browser reports a 400 bad request.

#10 - Apr 10, 2017 11:59 AM - Roberto Cirillo

From nginx I see the following call:

146.48.85.73 - - [10/Apr/2017:11:49:04 +0200] "GET /ckan-connector/gcube/service/connect HTTP/1.1" 401 993 "-"

 "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.76 Safari/537.36"

146.48.85.73 - - [10/Apr/2017:11:49:09 +0200] "GET /ckan-connector/gcube/service/connect?gcube-token=f73bde55-

bbdb-4b3e-967b-9094826f0b42-843339462&listOfVres=ecoevo|member HTTP/1.1" 400 5 "-" "Mozilla/5.0 (X11; Linux x8

6_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.76 Safari/537.36"

 from localhost_access log I see the following call:

127.0.0.1 - - [10/Apr/2017:11:49:04 +0200] "GET /ckan-connector/gcube/service/connect HTTP/1.1" 401 993 "-" "M

ozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.76 Safari/537.36"

127.0.0.1 - - [01/Jan/1970:00:59:59 +0100] "GET null null" 400 - "-" "-"

 with a strange date: 01/Jan/1970

Maybe is there something wrong when nginx redirect this call to tomcat?

#11 - Apr 10, 2017 12:15 PM - Andrea Dell'Amico

All the CKAN installations have all the components configured the same way.

#12 - Apr 10, 2017 02:51 PM - Costantino Perciante

- Assignee changed from Roberto Cirillo to _InfraScience Systems Engineer

We have also found that this url works 

https://ckan-ecoevo.d4science.org/ckan-connector/gcube/service/connect?gcube-token=...

 while the following doesn't

https://ckan-ecoevo.d4science.org/ckan-connector/gcube/service/connect?gcube-token=...&listOfVres=ecoevo|admin

#13 - Apr 10, 2017 03:04 PM - Costantino Perciante

It seems an encode/decode problem

if I write this https://ckan-ecoevo.d4science.org/ckan-connector/gcube/service/connect?gcube-token=....&listOfVres=ecoevo%7Cadmin

where %7C stands for the encoded char | it works. There is any specific nginx configuration maybe? @andrea.dellamico@isti.cnr.it 

#14 - Apr 10, 2017 03:12 PM - Andrea Dell'Amico

Costantino Perciante wrote:

It seems an encode/decode problem

if I write this https://ckan-ecoevo.d4science.org/ckan-connector/gcube/service/connect?gcube-token=....&listOfVres=ecoevo%7Cadmin

where %7C stands for the encoded char | it works. There is any specific nginx configuration maybe?

 ? the reverse proxy configuration is the one that runs on all the ckan servers. The client should encode that character

#15 - Apr 10, 2017 03:22 PM - Costantino Perciante

There is no such problem on other ckan instances (even in production, i.e. that char is not encoded but used as it is). This is why we are wondering

about some possible misconfigurations
#16 - Apr 10, 2017 03:45 PM - Andrea Dell'Amico

Costantino Perciante wrote:

There is no such problem on other ckan instances (even in production, i.e. that char is not encoded but used as it is). This is why we are

wondering about some possible misconfigurations

 Well, so the other CKAN instances are the ones behaving strangely :).

The | character is one of the unsafe ones and should always be encoded (the RFC uses must, btw): https://www.ietf.org/rfc/rfc1738.txt

#17 - Apr 11, 2017 02:41 PM - Costantino Perciante

- Status changed from In Progress to Closed

ok, problem solved by simply encoding the parameters. You can check the fix on ecoevo https://services.d4science.org/group/ecoevo/datasets

I'm going to close this ticket
